using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class Edit_profile : System.Web.UI.Page
{
    SqlConnection cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
    SqlCommand cmd;
    SqlDataReader dr;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            cmd = new SqlCommand("select firstname,lastname,userid,email,address from registration where userid=@user", cn);
            cmd.Parameters.Add("@user", SqlDbType.VarChar, 50).Value = Session["user"];
            cn.Open();
            dr = cmd.ExecuteReader();
            dr.Read();
            txtfname.Text = dr[0].ToString();
            txtlname.Text = dr[1].ToString();
            txtuserid.Text = dr[2].ToString();
            txtemailid.Text = dr[3].ToString();
            txtaddress.Text = dr[4].ToString();
            dr.Close();
            cn.Close();
        }
    }
    protected void BtnEdit_Click(object sender, EventArgs e)
    {
        
            try
            {
                if (cn.State == ConnectionState.Closed)
                    cn.Open();
                cmd = new SqlCommand();
                cmd.CommandType = CommandType.Text;
                cmd.Connection = cn;
                cmd.CommandText = "update registration set FirstName=@fname,LastName=@lname,email=@emailid,address=@address where userid=@userid";
                cmd.Parameters.Add("@fname", SqlDbType.VarChar, 50).Value = txtfname.Text;
                cmd.Parameters.Add("@lname", SqlDbType.VarChar, 50).Value = txtlname.Text;
                cmd.Parameters.Add("@emailid", SqlDbType.VarChar, 50).Value = txtemailid.Text;
                cmd.Parameters.Add("@address", SqlDbType.VarChar, 200).Value = txtaddress.Text;
                cmd.Parameters.Add("@userid", SqlDbType.VarChar, 50).Value = Session["user"].ToString();
                cmd.ExecuteNonQuery();
                lblmsg.Visible = true;
                lblmsg.Text = "Successfully Updated";
            }
            catch (Exception ex)
            {
                lblmsg.Visible = true;
                lblmsg.Text = ex.ToString();
            }
       
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Manage.aspx");
    }
}
