using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class message : System.Web.UI.Page
{
    SqlConnection cn;
    SqlCommand cmd;
    SqlDataReader dr;
    SqlDataReader dr1;
    int mid;
    protected void Page_Load(object sender, EventArgs e)
    {
        mid = int.Parse(Request.QueryString["mid"]);
        try
        {
            
            cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
            cn.Open();
            SqlCommand selectcmd = new SqlCommand("select sender from message where mid=@mid", cn);
            selectcmd.Parameters.Add("@mid", SqlDbType.VarChar, 50).Value = mid;
            dr1 = selectcmd.ExecuteReader();
            dr1.Read();
            if (dr1["sender"].ToString() == Session["user"].ToString())
            {
                btndelete.Enabled = true;
            }
            else
                btndelete.Enabled = false;
            dr1.Close();
            cmd = new SqlCommand("select sender,subject,message from message where mid=@mid", cn);
            cmd.Parameters.Add("@mid", SqlDbType.Int, 50).Value = mid;
            dr = cmd.ExecuteReader();
            dr.Read();
            lblsender.Text = dr["sender"].ToString();
            lblSubject.Text = dr["subject"].ToString();
            lblmessage.Text = dr["message"].ToString();
            dr.Close();
        }
        catch (Exception ex)
        {
            lblmsg.Visible = true;
            lblmsg.Text = "Error During the process: " + ex.Message;
        }
        finally
        {
            cn.Close();
        }
    }
    protected void btndelete_Click(object sender, EventArgs e)
    {
        try
        {
            
            cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
            cn.Open();
            cmd = new SqlCommand("delete from message where mid=@mid", cn);
            cmd.Parameters.Add("@mid", SqlDbType.Int, 50).Value = mid;
            int cnt = cmd.ExecuteNonQuery();
            if (cnt == 1)
            {
                Response.Redirect("~/messages.aspx");
            }
            else
            {
                lblmsg.Text = "Cannot delete the message";
            }
        }
        catch (Exception ex)
        {
            lblmsg.Text = "Error:" + ex.Message;
        }
    }

    protected void btnpostnew_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Postmessage.aspx");
    }
}
