using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class Changepassword : System.Web.UI.Page
{
    SqlConnection cn;
    SqlCommand cmd;
    SqlCommand updatecmd;
    protected void Page_Load(object sender, EventArgs e)
    {
        cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
        cn.Open();
        cmd = new SqlCommand();
    }

    protected void btnchangepwd_Click(object sender, EventArgs e)
    {
        cmd.Connection = cn;
        cmd.CommandType = CommandType.Text;
        cmd.CommandText = "update registration set pwd=@newpwd where userid=@user and pwd=@pwd";
        cmd.Parameters.Add("@newpwd",SqlDbType.VarChar,50).Value=txtnewpwd.Text;
        cmd.Parameters.Add("@user", SqlDbType.VarChar, 50).Value = Session["user"];
        cmd.Parameters.Add("@pwd",SqlDbType.VarChar,50).Value=txtoldpwd.Text;
        int cnt = cmd.ExecuteNonQuery();
        if (cnt == 1)
        {
            //Lblmsg.Text = "Password Changed Succesfully!";
            Response.Redirect("~/Manage.aspx");
        }
        else
            LblError.Text = "Sorry old password is mismatching";

        cn.Close();
    }
    protected void Lbtnback_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
        {
            Response.Redirect("~/Signin.aspx");
        }
        else
            Response.Redirect("~/Manage.aspx");
    }
    protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
    {
        if (txtnewpwd.Text.Length < 6)
            args.IsValid = false;
    }
}
