using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Text;
using System.IO;
public partial class DeleteaGroup : System.Web.UI.Page
{
    SqlCommand photocmd;
    SqlCommand videocmd;
    SqlCommand filecmd;
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void BtnDelete_Click(object sender, EventArgs e)
    {
        
        try
        {
            for (int i = 0; i < GridView1.Rows.Count; i++)
            {
                GridViewRow row = GridView1.Rows[i];
                bool isChecked = ((CheckBox)row.FindControl("chkSelect")).Checked;
                if (isChecked)
                {
                    SqlConnection cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
                    cn.Open();
                    SqlCommand cmd = new SqlCommand();
                    photocmd = new SqlCommand("select imgid,imgtype from photos1 where g_name=@g_name", cn);
                    videocmd = new SqlCommand("select vid,v_type from videos where g_name=@g_name", cn);
                  filecmd = new SqlCommand("select fid,extension from files where g_name=@g_name", cn);
                    cmd.Connection = cn;
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandText = "deletegroup"; //Delete Store Procedure
                   ////// Group Name from the gridView passing paramater to the @g_name//
                    cmd.Parameters.Add("@g_name", SqlDbType.VarChar, 50).Value = GridView1.Rows[i].Cells[1].Text;
                    photocmd.Parameters.Add("@g_name", SqlDbType.VarChar, 50).Value = GridView1.Rows[i].Cells[1].Text;
                    videocmd.Parameters.Add("@g_name", SqlDbType.VarChar, 50).Value = GridView1.Rows[i].Cells[1].Text;
                    filecmd.Parameters.Add("@g_name", SqlDbType.VarChar, 50).Value = GridView1.Rows[i].Cells[1].Text;
                    SqlDataReader dr = photocmd.ExecuteReader();
                    while (dr.Read())
                    {
                        File.Delete(Request.PhysicalApplicationPath + "//photos//" + dr[0].ToString() + dr[1].ToString());
                    }
                    dr.Close();
                    dr = videocmd.ExecuteReader();
                    while (dr.Read())
                    {
                        File.Delete(Request.PhysicalApplicationPath + "//videos//" + dr[0].ToString() + dr[1].ToString());
                    }
                dr.Close();
                    dr = filecmd.ExecuteReader();
                    while (dr.Read())
                    {
                        File.Delete(Request.PhysicalApplicationPath + "//files//" + dr[0].ToString() + dr[1].ToString());
                    }
                    dr.Close();
                    cmd.ExecuteNonQuery();
                    cn.Close();
                   
                }
            }
            GridView1.DataBind();
        }
        catch (Exception ex)
        {
            Label2.Text = ex.ToString();
        }
    }
}
