using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Group : System.Web.UI.MasterPage
{
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["user"] == null)
        {
            Response.Redirect("~/Signin.aspx");
        }
        Response.Buffer = true;
        Response.ExpiresAbsolute = DateTime.Now.AddDays(-1d);
        Response.Expires = -1500;
        Response.CacheControl = "no-cache";
        
    }

    protected void LbtnGHome_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/Default.aspx");
        else
            Response.Redirect("~/Mygroups.aspx");
    }
    protected void Lbtnsignin_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/signin.aspx");
        else
        {
            //FormsAuthentication.SignOut();
            Session.Abandon();
            Session["user"] = null;
            Response.Redirect("~/Default.aspx");
        }
    }
    protected void LbtnLeave_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/signin.aspx");
        else
            Response.Redirect("~/leaveagroup.aspx");
    }
    protected void LbtnDelete_Click(object sender, EventArgs e)
    {

        if (Session["user"] == null)
            Response.Redirect("~/signin.aspx");
        else
            Response.Redirect("~/DeleteaGroup.aspx");
    }
    protected void LbtnHome_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/Default.aspx");
        else
            Response.Redirect("~/Mygroups.aspx");
    }
    
    protected void LbtnEditGroup_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/Default.aspx");
        else
            Response.Redirect("~/Editgroups.aspx");
    }
    protected void Lbtneditprofile_Click(object sender, EventArgs e)
    {
        if (Session["user"] == null)
            Response.Redirect("~/Default.aspx");
        else
            Response.Redirect("~/Edit_profile.aspx");
    }
    }
