using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class postmessage : System.Web.UI.Page
{
    SqlConnection cn;
    SqlCommand cmd;
    SqlDataReader dr;

    protected void Page_Load(object sender, EventArgs e)
    {
        cn = new SqlConnection(ConfigurationSettings.AppSettings["rns"]);
        cn.Open();
        
    }
    protected void btnpost_Click(object sender, EventArgs e)
    {
        try{
            if (txtsubject.Text == "" || txtmsg.Text == "")
            {
                lblmsg.Visible = true;
                lblmsg.Text = "Subject and Messages should not blank";
            }
            else
            {
                cmd = new SqlCommand("select isnull(max(mid),0)+1 from message", cn);
                Object mid = cmd.ExecuteScalar();
                cmd.CommandText = "Insert into message values (@mid,@g_name, @subject,@message,@sender,getdate() )";
                cmd.Parameters.Add("@mid", SqlDbType.Int, 50).Value = mid;
                cmd.Parameters.Add("@g_name", SqlDbType.VarChar, 50).Value = Session["g_name"];
                cmd.Parameters.Add("@subject", SqlDbType.VarChar, 50).Value = txtsubject.Text;
                cmd.Parameters.Add("@message", SqlDbType.VarChar, 2000).Value = txtmsg.Text;
                cmd.Parameters.Add("@sender", SqlDbType.VarChar, 50).Value = Session["user"];
                int cnt = cmd.ExecuteNonQuery();
                if (cnt == 1)
                    Response.Redirect("~/messages.aspx");
                else
                {
                    lblmsg.Visible = true;
                    lblmsg.Text = "Message Not posted";
                }
            }
        }
        catch(Exception ex)
        {
                lblmsg.Visible=true;
            lblmsg.Text="Post message Error "+ex.Message;
        }
    }
}
